﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NumericFormat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public double Value { get; set; } = 28002.533;

        public MainWindow()
        {          
            InitializeComponent();        
            dataGrid.ItemsSource = GetData();
            DataContext = this;
        }

        private List<DataItem> GetData()
        {
            return new List<DataItem>()
            {
                new DataItem(){ Name = "John", Sale = 20503.234 },
                new DataItem(){ Name = "Michael", Sale = 43603.55 },
                new DataItem(){ Name = "Simon", Sale = 27503.657 },
                new DataItem(){ Name = "Clark", Sale = 25705.245 },
                new DataItem(){ Name = "Jake", Sale = 24534.2546 },
                new DataItem(){ Name = "Jerry", Sale = 34452.732 },
            };
        }
    }

    // Just in case needed you can use this binding class, so that you don't have to use Converter culture everywhere
    public class CustomBinding : Binding
    {
        public CustomBinding(string path) : base(path)
        {
            ConverterCulture = CultureInfo.CurrentCulture;
        }

        public CustomBinding() { }
    }

    public class DataItem
    {
        public string Name { get; set; }
        public double Sale { get; set; }
    }
}
